# ************************************************************
# Sequel Pro SQL dump
# Versión 4096
#
# http://www.sequelpro.com/
# http://code.google.com/p/sequel-pro/
#
# Host: 127.0.0.1 (MySQL 5.0.95)
# Base de datos: isurveyx
# Tiempo de Generación: 2014-08-16 16:25:39 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Volcado de tabla api_sesion
# ------------------------------------------------------------

DROP TABLE IF EXISTS `api_sesion`;

CREATE TABLE `api_sesion` (
  `id` int(11) NOT NULL auto_increment,
  `cadena_sesion` varchar(40) default NULL,
  `id_api_usuario` int(11) NOT NULL,
  `ultima_actividad` datetime default NULL,
  `fecha_expiracion` datetime default NULL,
  `estado` enum('Activa','Inactiva') default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `cadena_sesion` (`cadena_sesion`),
  KEY `id_api_usuario` (`id_api_usuario`),
  CONSTRAINT `api_sesion_ibfk_1` FOREIGN KEY (`id_api_usuario`) REFERENCES `api_usuario` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla api_usuario
# ------------------------------------------------------------

DROP TABLE IF EXISTS `api_usuario`;

CREATE TABLE `api_usuario` (
  `id` int(11) NOT NULL auto_increment,
  `usuario` varchar(40) NOT NULL,
  `md5_password` varchar(40) NOT NULL,
  `fecha_creacion` datetime default NULL,
  `ultimo_login` datetime default NULL,
  `minutos_vigencia_sesion` int(11) NOT NULL default '10',
  `enabled` varchar(2) default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `usuario` (`usuario`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_call_attribute
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_call_attribute`;

CREATE TABLE `idialerx_call_attribute` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_call` int(10) unsigned NOT NULL,
  `columna` varchar(30) default NULL,
  `value` varchar(128) NOT NULL,
  `column_number` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id_call` (`id_call`),
  CONSTRAINT `idialerx_call_attribute_ibfk_1` FOREIGN KEY (`id_call`) REFERENCES `idialerx_calls` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_call_progress_log
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_call_progress_log`;

CREATE TABLE `idialerx_call_progress_log` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `datetime_entry` datetime NOT NULL,
  `id_campaign_incoming` int(10) unsigned default NULL,
  `id_call_incoming` int(10) unsigned default NULL,
  `id_campaign_outgoing` int(10) unsigned default NULL,
  `id_call_outgoing` int(10) unsigned default NULL,
  `new_status` varchar(32) NOT NULL,
  `retry` int(10) unsigned default NULL,
  `uniqueid` varchar(32) default NULL,
  `trunk` varchar(20) default NULL,
  `id_agent` int(10) unsigned default NULL,
  `duration` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `call_progress_log_ibfk_4` (`id_agent`),
  KEY `call_progress_log_ibfk_5` (`id_campaign_incoming`),
  KEY `call_progress_log_ibfk_6` (`id_campaign_outgoing`),
  KEY `incoming_datetime_entry` (`id_call_incoming`,`datetime_entry`),
  KEY `outgoing_datetime_entry` (`id_call_outgoing`,`datetime_entry`),
  CONSTRAINT `idialerx_call_progress_log_ibfk_2` FOREIGN KEY (`id_call_outgoing`) REFERENCES `idialerx_calls` (`id`),
  CONSTRAINT `idialerx_call_progress_log_ibfk_6` FOREIGN KEY (`id_campaign_outgoing`) REFERENCES `idialerx_campaign` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_calls
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_calls`;

CREATE TABLE `idialerx_calls` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_campaign` int(10) unsigned NOT NULL,
  `phone` varchar(32) NOT NULL,
  `status` varchar(32) default NULL,
  `disposition` varchar(30) default NULL,
  `reason` int(11) default NULL,
  `uniqueid` varchar(32) default NULL,
  `fecha_llamada` datetime default NULL,
  `start_time` datetime default NULL,
  `end_time` datetime default NULL,
  `retries` int(10) unsigned NOT NULL default '0',
  `duration` int(10) unsigned default NULL,
  `datetime_entry_queue` datetime default NULL,
  `duration_wait` int(11) default NULL,
  `dnc` int(1) NOT NULL default '0',
  `date_init` date default NULL,
  `date_end` date default NULL,
  `time_init` time default NULL,
  `time_end` time default NULL,
  `datetime_originate` datetime default NULL,
  `hangup_cause` int(11) default NULL,
  `trunk` varchar(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `id_campaign` (`id_campaign`),
  KEY `uniqueid` (`uniqueid`),
  KEY `status` (`status`),
  CONSTRAINT `idialerx_calls_ibfk_1` FOREIGN KEY (`id_campaign`) REFERENCES `idialerx_campaign` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_campaign
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_campaign`;

CREATE TABLE `idialerx_campaign` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(150) default NULL,
  `context` varchar(32) NOT NULL,
  `max_canales` int(10) unsigned NOT NULL default '0',
  `num_completadas` int(10) unsigned default NULL,
  `promedio` int(10) unsigned default NULL,
  `desviacion` int(10) unsigned default NULL,
  `estatus` varchar(1) NOT NULL default 'A',
  `id_survey` int(11) NOT NULL,
  `callerid` varchar(40) default NULL,
  `timeout` int(11) default '300000',
  `limit_retries` tinyint(4) default '8',
  `call_time_template_id` int(11) default '0',
  `reycling_template_id` int(11) default '0',
  `id_api_usuario` int(11) default NULL,
  `add_prefix` varchar(10) default NULL,
  `remove_prefix` varchar(10) default NULL,
  `elastixcallcenter` int(10) unsigned NOT NULL,
  `amdconf` varchar(250) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_campaign_bkp
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_campaign_bkp`;

CREATE TABLE `idialerx_campaign_bkp` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `survey_status` int(10) unsigned NOT NULL,
  `survey_questions` int(10) unsigned NOT NULL,
  `survey_calls_completed` int(10) unsigned NOT NULL,
  `survey_calls_aborted` int(10) unsigned NOT NULL,
  `survey_creation_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `survey_creation_user_id` int(10) unsigned NOT NULL,
  `survey_completed_thr_qty` smallint(6) NOT NULL,
  `survey_completed_thr_notice` bit(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `ix_svy_header_bkp_completedThr_notice` (`survey_completed_thr_notice`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



# Volcado de tabla idialerx_campaign_retries
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_campaign_retries`;

CREATE TABLE `idialerx_campaign_retries` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_campaign` int(10) unsigned NOT NULL,
  `hangup_cause_code` smallint(6) NOT NULL,
  `retries` smallint(6) NOT NULL,
  `delay_seconds` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `id_campaign` (`id_campaign`),
  KEY `hangup_cause_code` (`hangup_cause_code`),
  CONSTRAINT `idialerx_campaign_retries_ibfk_1` FOREIGN KEY (`id_campaign`) REFERENCES `idialerx_campaign` (`id`),
  CONSTRAINT `idialerx_campaign_retries_ibfk_2` FOREIGN KEY (`hangup_cause_code`) REFERENCES `idialerx_hangup_cause` (`cause_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_campaign_schedule
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_campaign_schedule`;

CREATE TABLE `idialerx_campaign_schedule` (
  `id` int(11) NOT NULL auto_increment,
  `id_campaign` int(10) unsigned NOT NULL,
  `weekday` enum('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday') default NULL,
  `daytime_init` time NOT NULL,
  `daytime_end` time NOT NULL,
  `estatus` char(1) default 'A',
  PRIMARY KEY  (`id`),
  KEY `id_campaign` (`id_campaign`),
  CONSTRAINT `idialerx_campaign_schedule_ibfk_1` FOREIGN KEY (`id_campaign`) REFERENCES `idialerx_campaign` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_current_calls
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_current_calls`;

CREATE TABLE `idialerx_current_calls` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_call` int(10) unsigned NOT NULL,
  `fecha_inicio` datetime NOT NULL,
  `uniqueid` varchar(32) default NULL,
  `context` varchar(30) default NULL,
  `event` varchar(32) NOT NULL,
  `ChannelClient` varchar(80) default NULL,
  PRIMARY KEY  (`id`),
  KEY `id_call` (`id_call`),
  CONSTRAINT `idialerx_current_calls_ibfk_1` FOREIGN KEY (`id_call`) REFERENCES `idialerx_calls` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_dont_call
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_dont_call`;

CREATE TABLE `idialerx_dont_call` (
  `id` int(11) NOT NULL auto_increment,
  `caller_id` varchar(15) NOT NULL,
  `date_income` datetime default NULL,
  `status` varchar(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



# Volcado de tabla idialerx_eccp_authorized_clients
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_eccp_authorized_clients`;

CREATE TABLE `idialerx_eccp_authorized_clients` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(64) NOT NULL,
  `md5_password` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_hangup_cause
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_hangup_cause`;

CREATE TABLE `idialerx_hangup_cause` (
  `cause_code` smallint(6) NOT NULL,
  `cause_description` varchar(40) NOT NULL,
  PRIMARY KEY  (`cause_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `idialerx_hangup_cause` WRITE;
/*!40000 ALTER TABLE `idialerx_hangup_cause` DISABLE KEYS */;

INSERT INTO `idialerx_hangup_cause` (`cause_code`, `cause_description`)
VALUES
	(0,'Unknown'),
	(1,'Unallocated (unassigned) number'),
	(16,'Normal Clearing'),
	(17,'User busy'),
	(18,'No user responding'),
	(19,'User alerting, no answer'),
	(20,'Subscriber absent'),
	(21,'Call Rejected'),
	(27,'Destination out of order'),
	(28,'Invalid number format'),
	(34,'Circuit/channel congestion'),
	(38,'Network out of order'),
	(111,'Protocol error, unspecified'),
	(9901,'MACHINE'),
	(9902,'HUMAN'),
	(9903,'NOTSURE'),
	(9904,'HANGUP');

/*!40000 ALTER TABLE `idialerx_hangup_cause` ENABLE KEYS */;
UNLOCK TABLES;


# Volcado de tabla idialerx_hangup_counter
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_hangup_counter`;

CREATE TABLE `idialerx_hangup_counter` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_call` int(10) unsigned NOT NULL,
  `hangup_cause_code` smallint(6) NOT NULL,
  `counter` smallint(6) NOT NULL,
  `last_try` datetime NOT NULL,
  `unix_last_try` bigint(20) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_call` (`id_call`,`hangup_cause_code`),
  KEY `hangup_cause_code` (`hangup_cause_code`),
  CONSTRAINT `idialerx_hangup_counter_ibfk_2` FOREIGN KEY (`hangup_cause_code`) REFERENCES `idialerx_hangup_cause` (`cause_code`),
  CONSTRAINT `idialerx_hangup_counter_ibfk_3` FOREIGN KEY (`id_call`) REFERENCES `idialerx_calls` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_hangup_history
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_hangup_history`;

CREATE TABLE `idialerx_hangup_history` (
  `id` int(11) NOT NULL auto_increment,
  `id_call` int(10) unsigned default NULL,
  `hangup_cause` int(10) NOT NULL,
  `retry` smallint(6) default NULL,
  `date` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_call` (`id_call`,`retry`),
  CONSTRAINT `idialerx_hangup_history_ibfk_1` FOREIGN KEY (`id_call`) REFERENCES `idialerx_calls` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla idialerx_originate_response
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_originate_response`;

CREATE TABLE `idialerx_originate_response` (
  `reason` smallint(6) NOT NULL,
  `description` varchar(40) NOT NULL,
  PRIMARY KEY  (`reason`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `idialerx_originate_response` WRITE;
/*!40000 ALTER TABLE `idialerx_originate_response` DISABLE KEYS */;

INSERT INTO `idialerx_originate_response` (`reason`, `description`)
VALUES
	(1,'Other end has hungup'),
	(2,'Local ring'),
	(3,'Remote end is ringing'),
	(4,'Remote end has answered'),
	(5,'Remote end is busy (603)'),
	(6,'Make it go off hook'),
	(7,'Line is off hook'),
	(8,'Congestion (circuits busy)');

/*!40000 ALTER TABLE `idialerx_originate_response` ENABLE KEYS */;
UNLOCK TABLES;


# Volcado de tabla idialerx_valor_config
# ------------------------------------------------------------

DROP TABLE IF EXISTS `idialerx_valor_config`;

CREATE TABLE `idialerx_valor_config` (
  `config_key` varchar(32) NOT NULL,
  `config_value` varchar(128) NOT NULL,
  `config_blob` blob,
  PRIMARY KEY  (`config_key`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

LOCK TABLES `idialerx_valor_config` WRITE;
/*!40000 ALTER TABLE `idialerx_valor_config` DISABLE KEYS */;

INSERT INTO `idialerx_valor_config` (`config_key`, `config_value`, `config_blob`)
VALUES
	('asterisk.asthost','127.0.0.1',NULL),
	('asterisk.astpass','_PASS_',NULL),
	('asterisk.astuser','_USER_',NULL),
	('asterisk.duracion_sesion','0',NULL),
	('dialer.llamada_corta','1',NULL),
	('dialer.overcommit','0',NULL),
	('dialer.predictivo','1',NULL),
	('dialer.qos','0.99',NULL),
	('dialer.tiempo_contestar','10',NULL),
	('dialer.timeout_inactivity','15',NULL),
	('dialer.timeout_originate','0',NULL),
	('hangup_cause_scanning','1',NULL);

/*!40000 ALTER TABLE `idialerx_valor_config` ENABLE KEYS */;
UNLOCK TABLES;


# Volcado de tabla survey_body_question
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_body_question`;

CREATE TABLE `survey_body_question` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `survey_id` int(10) NOT NULL,
  `secuence` int(10) unsigned NOT NULL,
  `description` varchar(500) collate utf8_bin NOT NULL default '',
  `rotation_group` char(1) collate utf8_bin default NULL,
  `qtype` char(1) collate utf8_bin default '1',
  PRIMARY KEY  (`id`),
  KEY `ix_svy_body_qu_survey_id` (`survey_id`),
  CONSTRAINT `ct_svy_body_qu_survey_id` FOREIGN KEY (`survey_id`) REFERENCES `survey_header` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



# Volcado de tabla survey_body_question_condition
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_body_question_condition`;

CREATE TABLE `survey_body_question_condition` (
  `id` int(11) NOT NULL auto_increment,
  `survey_id` int(10) NOT NULL,
  `question_id` int(10) NOT NULL,
  `secuence` int(10) NOT NULL,
  `clausea_question` int(10) NOT NULL,
  `clausea_operator` varchar(100) NOT NULL,
  `clausea_dtmf` varchar(10) NOT NULL,
  `has_clauseb` tinyint(1) default NULL,
  `clauseb` varchar(50) default NULL,
  `clauseb_question` int(10) default NULL,
  `clauseb_operator` varchar(100) default NULL,
  `clauseb_dtmf` varchar(10) default NULL,
  PRIMARY KEY  (`id`),
  KEY `svy_body_qu_cond_question_id` (`question_id`),
  KEY `svy_body_qu_cond_survey_id` (`survey_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla survey_body_question_dbconn
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_body_question_dbconn`;

CREATE TABLE `survey_body_question_dbconn` (
  `id` int(10) NOT NULL auto_increment,
  `survey_id` int(10) NOT NULL,
  `question_id` int(10) NOT NULL,
  `user` varchar(45) default NULL,
  `password` blob,
  `host` varchar(45) default NULL,
  `port` int(10) default NULL,
  `query` varchar(255) default NULL,
  `name` varchar(100) default NULL,
  `engine` varchar(30) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Volcado de tabla survey_body_question_item
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_body_question_item`;

CREATE TABLE `survey_body_question_item` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `survey_id` int(10) NOT NULL,
  `question_id` int(10) unsigned NOT NULL,
  `mode` enum('Audio','TTS Cepstral','TTS Verbio','TTS Google','TTS Festival','TTS Apple','Asterisk say_number') collate utf8_bin default NULL,
  `action` varchar(500) collate utf8_bin NOT NULL,
  `secuence` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `ct_svy_body_qu_it_survey_id` (`survey_id`),
  KEY `ix_svy_body_qu_it_question_id` (`question_id`),
  CONSTRAINT `ct_svy_body_qu_it_question_id` FOREIGN KEY (`question_id`) REFERENCES `survey_body_question` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `ct_svy_body_qu_it_survey_id` FOREIGN KEY (`survey_id`) REFERENCES `survey_header` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



# Volcado de tabla survey_body_question_option
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_body_question_option`;

CREATE TABLE `survey_body_question_option` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `survey_id` int(10) NOT NULL,
  `question_id` int(10) NOT NULL,
  `digit` int(10) NOT NULL,
  `description` varchar(500) collate utf8_bin NOT NULL default '',
  `hits` int(10) NOT NULL,
  `action` enum('Next','Replay','Transfer','Hangup','Complete','Recording','Elastix CallCenter') collate utf8_bin default NULL,
  `value` varchar(500) collate utf8_bin default NULL,
  `rotation_enable` tinyint(1) NOT NULL,
  `hasDBConn` tinyint(1) NOT NULL default '0',
  `audioSecs` int(10) default NULL,
  `audio_TimePct` tinyint(3) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ct_svy_body_qu_op_survey_id` (`survey_id`),
  KEY `ix_svy_body_qu_op_question_id` (`question_id`),
  CONSTRAINT `ct_svy_body_qu_op_survey_id` FOREIGN KEY (`survey_id`) REFERENCES `survey_header` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



# Volcado de tabla survey_conf
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_conf`;

CREATE TABLE `survey_conf` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `survey_id` int(10) NOT NULL,
  `survey_conf_key` varchar(255) collate utf8_bin NOT NULL default '',
  `survey_conf_value` varchar(255) collate utf8_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `ix_svy_conf_survey_id` (`survey_id`),
  CONSTRAINT `ct_svy_conf_survey_id` FOREIGN KEY (`survey_id`) REFERENCES `survey_header` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



# Volcado de tabla survey_header
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_header`;

CREATE TABLE `survey_header` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `qtype_filter` varchar(30) collate utf8_bin NOT NULL,
  `status` int(10) unsigned NOT NULL default '0',
  `questions` int(10) unsigned NOT NULL,
  `calls_completed` int(10) unsigned NOT NULL,
  `calls_aborted` int(10) unsigned NOT NULL,
  `creation_date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `creation_user_id` int(10) unsigned NOT NULL,
  `completed_thr_qty` smallint(6) NOT NULL,
  `completed_thr_notice` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `ix_svy_header_completed_thr_notice` (`completed_thr_notice`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



# Volcado de tabla survey_header_bkp
# ------------------------------------------------------------

DROP TABLE IF EXISTS `survey_header_bkp`;

CREATE TABLE `survey_header_bkp` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `status` int(10) unsigned NOT NULL default '0',
  `questions` int(10) unsigned NOT NULL,
  `calls_completed` int(10) unsigned NOT NULL,
  `calls_aborted` int(10) unsigned NOT NULL,
  `creation_date` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `creation_user_id` int(10) unsigned NOT NULL,
  `completed_thr_qty` smallint(6) NOT NULL,
  `completed_thr_notice` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `ix_svy_header_bkp_completedThr_notice` (`completed_thr_notice`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;




/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

