-- MySQL dump 10.11
--
-- Host: localhost    Database: iwebserver
-- ------------------------------------------------------
-- Server version	5.0.95

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `campaign_retry_detail`
--

DROP TABLE IF EXISTS `campaign_retry_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaign_retry_detail` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `header_id` int(10) unsigned NOT NULL,
  `hangup_cause_code` smallint(6) NOT NULL,
  `retries` smallint(6) NOT NULL,
  `delay_seconds` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ix_cpgn_rty_header_id` (`header_id`),
  CONSTRAINT `campaign_retry_detail_ibfk_1` FOREIGN KEY (`header_id`) REFERENCES `campaign_retry_header` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaign_retry_detail`
--

LOCK TABLES `campaign_retry_detail` WRITE;
/*!40000 ALTER TABLE `campaign_retry_detail` DISABLE KEYS */;
INSERT INTO `campaign_retry_detail` VALUES (22,1,1,5,1800),(23,1,17,5,1800),(24,1,18,5,1800),(25,1,19,5,1800),(26,1,20,5,1800),(27,1,34,5,1800),(28,1,38,5,1800),(29,1,9901,5,1800),(30,1,9903,5,1800),(31,2,0,10,3600),(32,2,1,10,3600),(33,2,17,10,3600),(34,2,18,10,3600),(35,2,19,10,3600),(36,2,20,10,3600),(37,2,21,10,3600),(38,2,27,10,3600),(39,2,28,10,3600),(40,2,34,10,3600),(41,2,38,10,3600),(42,2,111,10,3600),(43,2,9901,10,3600),(44,2,9903,10,3600);
/*!40000 ALTER TABLE `campaign_retry_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaign_retry_header`
--

DROP TABLE IF EXISTS `campaign_retry_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaign_retry_header` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `description` varchar(70) NOT NULL,
  `estatus` char(1) NOT NULL default 'A',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaign_retry_header`
--

LOCK TABLES `campaign_retry_header` WRITE;
/*!40000 ALTER TABLE `campaign_retry_header` DISABLE KEYS */;
INSERT INTO `campaign_retry_header` VALUES (1,'Basic','Several causes 5 times, interval 30 minutes. Machine included','A'),(2,'Max. times','All causes 10 times, every 1 hour','A');
/*!40000 ALTER TABLE `campaign_retry_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaign_schedule_detail`
--

DROP TABLE IF EXISTS `campaign_schedule_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaign_schedule_detail` (
  `id` int(11) NOT NULL auto_increment,
  `header_id` int(11) NOT NULL,
  `weekday` enum('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday') NOT NULL,
  `daytime_init` time NOT NULL,
  `daytime_end` time NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `ix_cpgn_sch_header_id` (`header_id`),
  CONSTRAINT `campaign_schedule_detail_ibfk_1` FOREIGN KEY (`header_id`) REFERENCES `campaign_schedule_header` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaign_schedule_detail`
--

LOCK TABLES `campaign_schedule_detail` WRITE;
/*!40000 ALTER TABLE `campaign_schedule_detail` DISABLE KEYS */;
INSERT INTO `campaign_schedule_detail` VALUES (32,3,'Monday','10:00:00','13:00:00'),(33,3,'Monday','16:00:00','21:00:00'),(34,3,'Tuesday','10:00:00','13:00:00'),(35,3,'Tuesday','16:00:00','21:00:00'),(36,3,'Wednesday','10:00:00','13:00:00'),(37,3,'Wednesday','16:00:00','21:00:00'),(38,3,'Thursday','10:00:00','13:00:00'),(39,3,'Thursday','16:00:00','21:00:00'),(40,3,'Friday','10:00:00','13:00:00'),(41,3,'Friday','16:00:00','21:00:00'),(42,2,'Monday','10:00:00','21:00:00'),(43,2,'Tuesday','10:00:00','21:00:00'),(44,2,'Wednesday','10:00:00','21:00:00'),(45,2,'Thursday','10:00:00','21:00:00'),(46,2,'Friday','10:00:00','21:00:00'),(47,2,'Saturday','10:00:00','21:00:00'),(48,2,'Sunday','10:00:00','21:00:00'),(49,1,'Monday','10:00:00','21:00:00'),(50,1,'Tuesday','10:00:00','21:00:00'),(51,1,'Wednesday','10:00:00','21:00:00'),(52,1,'Thursday','10:00:00','21:00:00'),(53,1,'Friday','10:00:00','21:00:00');
/*!40000 ALTER TABLE `campaign_schedule_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `campaign_schedule_header`
--

DROP TABLE IF EXISTS `campaign_schedule_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `campaign_schedule_header` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(70) NOT NULL,
  `estatus` char(1) NOT NULL default 'A',
  `name` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `campaign_schedule_header`
--

LOCK TABLES `campaign_schedule_header` WRITE;
/*!40000 ALTER TABLE `campaign_schedule_header` DISABLE KEYS */;
INSERT INTO `campaign_schedule_header` VALUES (1,'Just calling monday through friday from 10 to 21 hs','A','Monday Through Friday'),(2,'Calling all days of the week from 10 to 21 hs','A','Monday Through Sunday'),(3,'Calling monday through friday from 10 to 13 hs & 16 to 21 hs','A','Monday Through Friday 2 Times');
/*!40000 ALTER TABLE `campaign_schedule_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `id` int(11) NOT NULL auto_increment,
  `full_name` varchar(100) NOT NULL default '',
  `address_local` varchar(255) default '',
  `address_country` varchar(200) default '',
  `address_city` varchar(200) default '',
  `address_zipcode` varchar(10) default '',
  `phone` varchar(50) default '',
  `phone_alt` varchar(50) default '',
  `company` varchar(200) default '',
  `website_url` varchar(200) default '',
  `avatar_file` varchar(200) default NULL,
  `email` varchar(200) default '',
  `password` blob,
  `login` varchar(50) NOT NULL,
  `level` varchar(2) NOT NULL default '',
  `enabled` varchar(2) NOT NULL default '0',
  `lastupd_time` datetime NOT NULL,
  `subuser` varchar(150) NOT NULL default '0',
  `acceptedcond` tinyint(1) NOT NULL,
  `acceptedcond_time` datetime default NULL,
  `lastlogin_time` datetime default NULL,
  `language` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (1,'Administrator','','','','','','','','','default-avatar.jpg','root@localhost','21232f297a57a5a743894a0e4a801fc3','admin','1','1','','0',0,'NULL','NULL','en');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-08-17 15:04:27
